:: unistall_motors.bat
::
:: A very silent un-install that avoids prompting and output messages
:: minimizing User interaction and supporting unattended installs.
::
:: Any/all output is sent to z_uninstall_motors.log
::
:: ====================================================================
@ECHO OFF
ECHO Uninstalling WinDrive Motor Module, please wait...
ECHO.
SetLocal

if exist z_uninstall_motors.log del z_uninstall_motors.log > NUL
echo Procedure executed on "%DATE% %TIME%" > z_uninstall_motors.log
::
:: Perform a Very Silent Install of the WinDrive Motor Database.
:: --------------------------------------------------------------------
CALL .\uninstall_motors.exe /VERYSILENT /LOG >> z_uninstall_motors.log

:: Experience with Windows 7 reveals updates to the Start Menu are inconsistent.
:: Clear the icon cache so that explorer.exe updates entires based on 
:: "%SystemDrive%\ProgramData\Microsoft\Windows\Start Menu\Programs".

CALL ie4uinit.exe -ClearIconCache >> z_uninstall_motors.log

:END
ECHO Operation Complete
ECHO.
EndLocal

